Create Store Plan Change
Create Store Plan Change
Authentication
X-Auth-Clientstring
The client ID of the franchise API account.
OR
X-Auth-Tokenstring
An OAuth token generated from the franchise API account.
To authenticate, generate an **OAuth Token** (if you donʼt have one or itʼs expired):
```http
POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token
Accept: application/json
X-Auth-Client: {client_id}
X-Auth-Secret: {client_secret}
{
"duration": 900
}
```
Response:
```json
{
"access_token": "dlkJcn34...Lkd012",
"expires_at": "2018-04-24T16:15:26.509045122Z”
}
```
After you generate an **OAuth token**, use the `client_id` and `oauth_token` to authenticate all other API requests:
```http
GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123
Accept: application/json
X-Auth-Client: {client_id}
X-Auth-Token: {oauth_token}
```
Response:
```json
{
"data": {
"id": "12345678910",
"name": "Test Company",
...
},
"meta": {}
}
```
Path parameters
store_id
Request
plan_sku
The new BigCommerce plan type. The allow list for SKUs is configured on your franchise.
effective
Effective date for the plan change. Acceptable values:
* IMMEDIATELY - the change is effective immediately
* BILLCYCLEDAY - the change becomes effective at the start of the merchant’s next billing cycle, with the exception of trial accounts which are effective immediately.
If the field is not specified, the change will become effective immediately.
If the field is specified and the value does not match the values above, the change will become effective immediately.
Allowed values:
Response
Success
data
meta
Errors
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
502
Bad Gateway Error
503
Service Unavailable Error
504
Gateway Timeout Error